=== modified file 'configure.ac'
--- configure.ac	2008-10-03 18:57:10 +0000
+++ configure.ac	2008-10-03 19:09:52 +0000
@@ -124,6 +124,19 @@
 AC_DEFINE([FN_CURLIB],['.'], [./ is used as abbrev for current dir ])
 AC_DEFINE([FN_PARENTDIR],[".."], [Parent directory; Must be a string ])
 
+AC_DEFINE([HAVE_REPLICATION])
+
+dnl  InnoDB depends on some Drizzle's internals which other plugins should not
+dnl  need.  This is because of InnoDB's foreign key support, "safe" binlog
+dnl  truncation, and other similar legacy features.
+
+dnl  We define accessors for these internals unconditionally, but do not
+dnl  expose them in mysql/plugin.h.  They are declared in ha_innodb.h for
+dnl  InnoDB's use.
+
+AC_DEFINE([INNODB_COMPATIBILITY_HOOKS])
+
+
 # Canonicalize the configuration name.
 
 # Check whether --with-system-type or --without-system-type was given.

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-10-03 18:57:10 +0000
+++ drizzled/global.h	2008-10-03 19:09:52 +0000
@@ -22,19 +22,6 @@
 #ifndef DRIZZLE_SERVER_GLOBAL_H
 #define DRIZZLE_SERVER_GLOBAL_H
 
-#define HAVE_REPLICATION
-
-/*
-  InnoDB depends on some MySQL internals which other plugins should not
-  need.  This is because of InnoDB's foreign key support, "safe" binlog
-  truncation, and other similar legacy features.
-
-  We define accessors for these internals unconditionally, but do not
-  expose them in mysql/plugin.h.  They are declared in ha_innodb.h for
-  InnoDB's use.
-*/
-#define INNODB_COMPATIBILITY_HOOKS
-
 #if defined(i386) && !defined(__i386__)
 #define __i386__
 #endif

